package com.ruoyi.interfaces.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模型目录对象 md_model_catetory
 *
 * @author ruoyi
 * @date 2025-07-15
 */
public class MdModelCatetory extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 目录标识
     */
    @ApiModelProperty("目录标识")
    private String cateid;

    /**
     * 目录名称
     */
    @ApiModelProperty("目录名称")
    @Excel(name = "目录名称")
    private String name;

    /**
     * 目录说明
     */
    @ApiModelProperty("目录说明")
    @Excel(name = "目录说明")
    private String intro;

    /**
     * 开发者用户编号
     */
    @ApiModelProperty("开发者用户编号")
    @Excel(name = "开发者用户编号")
    private Long userId;

    /**
     * 编辑时间
     */
    @ApiModelProperty("编辑时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "编辑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyBy;

    public void setCateid(String cateid) {
        this.cateid = cateid;
    }

    public String getCateid() {
        return cateid;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public String getIntro() {
        return intro;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setModifyBy(Date modifyBy) {
        this.modifyBy = modifyBy;
    }

    public Date getModifyBy() {
        return modifyBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("cateid", getCateid())
                .append("name", getName())
                .append("intro", getIntro())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("modifyBy", getModifyBy())
                .toString();
    }

    public MdModelCatetory(String cateid, String name, String intro, Long userId, Date modifyBy) {
        this.cateid = cateid;
        this.name = name;
        this.intro = intro;
        this.userId = userId;
        this.modifyBy = modifyBy;
    }

    public MdModelCatetory() {
    }
}